require 'nokogiri'
require 'httparty'

require 'easy_sitemap/version'
require 'easy_sitemap/engine'

module EasySitemap

  autoload :Generator, "easy_sitemap/generator"
  autoload :Runner, "easy_sitemap/runner"
  autoload :Parser, "easy_sitemap/parser"

  def self.create(file_path)
    f = File.open(file_path, "w")
    generator = Generator.new(::Issue.on_active_project)
    #generator = Generator.new(::Issue.limit(10))
    f.write(generator.to_xml)
  ensure
    f.close
  end

end
